Categories: Latest Cyber News

Multiple Vulnerabilities Impact Netgear Nighthawk R6700 Routers

Netgear Nighthawk R6700v3 routers running the latest firmware are affected by multiple vulnerabilities. Details of the flaws were disclosed last week by Tenable after the vendor failed to release patches.

read more

\\ This article first appeared elsewhere. You can find the original write up here //

«
»
Other cyber news you might have missed: